Box2D 2.3.0 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
b2RayCastOutput Struct Reference

`#include <b2Collision.h>`

## Public Attributes
b2Vec2 | normal
float32 | fraction

## Detailed Description

Ray-cast output data. The ray hits at p1 + fraction * (p2 - p1), where p1 and p2 come from b2RayCastInput.

The documentation for this struct was generated from the following file:

- b2Collision.h